import request from '@/utils/request'

// 查询区域列表
export function listArea(data) {
  return request({
    url: '/system/web/area/searchByPage',
    method: 'post',
    data: data
  })
}

//查询区域树
export function areaTree(data) {
  return request({
    url: '/system/web/position/findByCodeAndLevel',
    method: 'post',
    data: data
  })
}

//保存区域
export function saveArea(data) {
  return request({
    url: '/system/web/area/save',
    method: 'post',
    data: data
  })
}

//更新区域
export function updateArea(data) {
  return request({
    url: '/system/web/area/update',
    method: 'post',
    data: data
  })
}
